threestep {affyPLM} | R Documentation

## Three Step expression measures

### Description

This function converts an `AffyBatch` into an `ExpressionSet` using a three step expression measure.

### Usage

    threestep(object,subset=NULL, normalize=TRUE,background=TRUE,background.method="RMA.2",normalize.method="quantile",summary.method="median.polish",background.param = list(),normalize.param=list(),summary.param=list(),verbosity.level=0)

### Arguments

`object` | an `AffyBatch`.
`subset` | a vector with the names of probesets to be used. If `NULL`, then all probesets are used.
`normalize` | logical value. If `TRUE` normalize data using quantile normalization
`background` | logical value. If `TRUE` background correct using RMA background correction
`background.method` | name of background method to use.
`normalize.method` | name of normalization method to use.
`summary.method` | name of summary method to use.
`background.param` | list of parameters for background correction methods.
`normalize.param` | list of parameters for normalization methods.
`summary.param` | list of parameters for summary methods.
`verbosity.level` | An integer specifying how much to print out. Higher values indicate more verbose. A value of 0 will print nothing.

### Details

This function computes the expression measure using threestep methods. Greater details can be found in a vignette.

### Value

An `ExpressionSet`

### Author(s)

Ben Bolstad bmb@bmbolstad.com

### References

Bolstad, BM (2004) Low Level Analysis of High-density Oligonucleotide Array Data: Background, Normalization and Summarization. PhD Dissertation. University of California, Berkeley.

### See Also

`expresso`, `rma`

### Examples

    if (require(affydata)) {
      data(Dilution)

      # should be equivalent to rma()
      eset <- threestep(Dilution)

      # Using Tukey Biweight summarization
      eset <- threestep(Dilution, summary.method="tukey.biweight")

      # Using Average Log2 summarization
      eset <- threestep(Dilution, summary.method="average.log")

      # Using IdealMismatch background and Tukey Biweight and no normalization.
      eset <- threestep(Dilution, normalize=FALSE,background.method="IdealMM",
                        summary.method="tukey.biweight")

      # Using average.log summarization and no background or normalization.
      eset <- threestep(Dilution, background=FALSE, normalize=FALSE,
                        background.method="IdealMM",summary.method="tukey.biweight")

      # Use threestep methodology with the rlm model fit
      eset <- threestep(Dilution, summary.method="rlm")

      # Use threestep methodology with the log of the average
      eset <- threestep(Dilution, summary.method="log.average")

      # Use threestep methodology with log 2nd largest method
      eset <- threestep(Dilution, summary.method="log.2nd.largest")

      eset <- threestep(Dilution, background.method="LESN2")
    }

[Package affyPLM version 1.20.0 Index]